package com.fs.live.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveMsg;
import org.springframework.data.repository.CrudRepository;

/**
 * 直播讨论Mapper接口
 * 
 * @author fs
 * @date 2025-01-17
 */
public interface LiveMsgMapper extends BaseMapper<LiveMsg>
{
    /**
     * 查询直播讨论
     * 
     * @param msgId 直播讨论主键
     * @return 直播讨论
     */
    public LiveMsg selectLiveMsgByMsgId(Long msgId);

    /**
     * 查询直播讨论列表
     * 
     * @param liveMsg 直播讨论
     * @return 直播讨论集合
     */
    public List<LiveMsg> selectLiveMsgList(LiveMsg liveMsg);

    /**
     * 新增直播讨论
     * 
     * @param liveMsg 直播讨论
     * @return 结果
     */
    public int insertLiveMsg(LiveMsg liveMsg);

    /**
     * 修改直播讨论
     * 
     * @param liveMsg 直播讨论
     * @return 结果
     */
    public int updateLiveMsg(LiveMsg liveMsg);

    /**
     * 删除直播讨论
     * 
     * @param msgId 直播讨论主键
     * @return 结果
     */
    public int deleteLiveMsgByMsgId(Long msgId);

    /**
     * 批量删除直播讨论
     * 
     * @param msgIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiveMsgByMsgIds(Long[] msgIds);
}
